{% extends "layout/visualisation/cardBox/classement/classement.jinja" %}


{% block cardBoxTitle %}
Classement des régions pour l'année {{ currentYear }}
{% endblock %}


{% block cardBoxDescription %}
{% endblock %}


{% block cardBoxError %}
{% if tabDepartementAnneeCourante.invalide != None %}
    {{ tabDepartementAnneeCourante.invalide }}% des données sont non représentable !
{% endif %}
{% endblock %}


{% block cardBoxBody %}
{# Carte départemental de la france pour du remplissage #}
<div class="col-4">
    <object id="carte-france-departement-classement" class="carte" data="{{ url_for('static', filename='img/France-departements.svg') }}" type="image/svg+xml"></object>
</div>


{# Tableau des départements trié par ordre décroissant de la représentation dans le jeu de données pour l'année en cours #}
<div class="col-7 offset-1 table-min">
    {% set dep =  tabDepartementAnneeCourante.data|groupby("pourcentage")|max %}
    <table class="table table-sm table-striped">
        <thead>
            <tr>
                <th>Classement</th>
                <th>Département</th>
                <th>Opérations</th>
                <th>Pourcentage</th>
            </tr>
        </thead>
        <tbody>
            {% for departement in tabDepartementAnneeCourante.data %}
            <tr>
                <th scope="row">{{ loop.index }}</th>
                <td>{{ departement.nom }}</td>
                <td>{{ departement.operations }}</td>
                <td>{{ departement.pourcentage }}%</td>
                <td>
                    <div class="table-color-legend">
                        <div style="opacity:{{ (departement.pourcentage * 100 / dep[0]) / 100 }}"></div>
                    </div>
                </td>
            </tr>
            {% endfor %}
        </tbody>
    </table>
</div>
{% endblock %}
